
from WiBox import WiBox

class HBox(WiBox):
    def __init__(self):
        WiBox.__init__(self)
    def addWidget(self, widget):
        #TODO: update self.w and self.h when a child is changed
        self.widgets.append(widget)
        newPos = (self.pos[0] + self.w, self.pos[1])
        widget.setPos(newPos)
        self.w += widget.getW()
        self.h = max(self.h, widget.getH())

    def setPos(self, pos):
        xshift = 0
        self.pos = pos
        for wi in self.widgets:
            newPos = (self.pos[0] + xshift, self.pos[1])
            wi.setPos(newPos)
            xshift += wi.getW()
