
from Widget import Widget

class WiBox(Widget):
    def __init__(self):
        Widget.__init__(self)
        self.widgets = []
        self.w = 0
        self.h = 0
    def getW(self):
        return self.w
    def getH(self):
        return self.h
    def drawOn(self, screen):
        for wi in self.widgets:
            wi.drawOn(screen)
    def innerOnClick(self, event):
        for wi in self.widgets:
            result = wi.onClick(event)
            if result is not None:
                return result
