
class Widget:
    def __init__(self):
        self.pos = (0,0)
    def setPos(self, pos):
        self.pos = pos
    def getW(self):
        pass
    def getH(self):
        pass
    def drawOn(self, screen):
        pass
    def onClick(self, event):
        if self.isInside(event.pos):
            return self.innerOnClick(event)
    def innerOnClick(self, event):
        pass
    def isInside(self, pos):
        insideX = pos[0] - self.pos[0]
        insideY = pos[1] - self.pos[1]
        return ((insideX >= 0 and insideX < self.getW()) and
                (insideY >= 0 and insideY < self.getH()))

