
from WiBox import WiBox

class VBox(WiBox):
    def __init__(self):
        WiBox.__init__(self)
    def addWidget(self, widget):
        #TODO: update self.w and self.h when a child is changed
        self.widgets.append(widget)
        newPos = (self.pos[0], self.pos[1] + self.h)
        widget.setPos(newPos)
        self.w = max(self.w, widget.getW())
        self.h += widget.getH()

    def setPos(self, pos):
        yshift = 0
        self.pos = pos
        for wi in self.widgets:
            newPos = (self.pos[0], self.pos[1] + yshift)
            wi.setPos(newPos)
            yshift += wi.getH()
