
from Widget import Widget

class WiContainer(Widget):
    def __init__(self, content, border=0):
        Widget.__init__(self)
        self.content = content
        self.border = border
    def getW(self):
        return 2*self.border + self.content.getW()
    def getH(self):
        return 2*self.border + self.content.getH()
    def setPos(self, pos):
        self.pos = pos
        innerPos = pos[0] + self.border, pos[1] + self.border
        self.content.setPos(innerPos)

    def drawOn(self, screen):
        self.content.drawOn(screen)
    def innerOnClick(self, event):
        return self.content.onClick(event)
